Skip to main content
POST
/
v1
/
data
/
update
Update Data
curl --request POST \
  --url https://api.example.com/v1/data/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "update_condition": "id = '1000'",
  "update_values": "text = 'changed_text'"
}
EOF
{
  "code": 200,
  "data": {
    "updated_row_count": 100
  },
  "exception": null,
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Include the token in the Authorization header as 'Bearer '

Body

application/json

The update condition and values

update_values
string
required

Values to update in SQL SET clause format (e.g. "column = value"). Multiple assignments can be separated by commas.

Example:

"video_title = changed_title, category = 100"

update_condition
string | null
default:""

SQL WHERE clause to filter which rows to update. If not provided, all rows will be updated.

Example:

"video_id = 1000"

Response

Data successfully updated.

code
integer<int32>
required

HTTP status code.

Required range: x >= 0
success
boolean
required

Whether the request was successful.

data
object
exception
object